using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ColourManager : MonoBehaviour
{
    // Start is called before the first frame update
    public static ColourManager instance;

    public Color greenClothColor        = Color.green;
    public Color blueClothColor         = Color.blue;
    public Color redClothColor          = Color.red;
    public Color yellowClothColor       = Color.yellow;

    void Awake()
    {
        if (instance == null){
            instance = this;
        }
        else{
            Destroy(this);
        }
    }

    public Color GetClothColorFromEnum(ClothType clothtype)
    {
        switch (clothtype)
        {
            case ClothType.YellowCloth:
            return yellowClothColor;
            case ClothType.BlueCloth:
            return blueClothColor;
            case ClothType.RedCloth:
            return redClothColor;
            case ClothType.GreenCloth:
            return greenClothColor;
        }

        return Color.white;
    }

}
